struct PSInput
{
	float4 Color : COLOR;
	float2 TexCoords : TEXCOORD0;
};

float4 main(PSInput pin) : SV_TARGET
{
	float2 c = float2(0.5,0.5);
	
	float2 gradient = fwidth(pin.TexCoords);
		
	float2 v = abs(pin.TexCoords - c) - 0.5;
	
	float2 splitMask = v / gradient;
	float mask = 1 - max(splitMask.x, splitMask.y);
	
	return float4(mask.xxx,1);
}
